Draft: Mutare

From FreeCAD Documentation
Jump to: navigation, search
This page is a translated version of the page Draft Move and the translation is 25% complete.

Outdated translations are marked like this.
Other languages:
čeština • ‎Deutsch • ‎English • ‎español • ‎français • ‎italiano • ‎polski • ‎română • ‎русский • ‎svenska • ‎Türkçe
Arrow-left.svg Previous: Draft Label.svg Label
Next: Rotate Draft Rotate.svg Arrow-right.svg

Draft Move.svg Draft Move

poziția meniului
Draft → Move
Workbenches
Draft, Arch
scurtătură
M V
Prezentat în versiune
-
A se vedea, de asemenea,
nici unul


Descriere

Instrumentul Mutare deplasează sau copiază obiectele selectate dintr-un punct în altul pe work plane. Dacă nu este selectat niciun obiect, veți fi invitat să selectați unul.

The Move tool can be used on 2D shapes created with the Draft Workbench or Sketcher Workbench, but can also be used on many types of 3D objects such as those created with the Part Workbench or Arch Workbench.

To produce various copies in different arrangements use Draft Array, Draft PathArray and Draft PointArray.

Draft Move example.jpg

Moving an object from one point to another point


Cum se folosește

  1. Select objects you wish to move or copy
  2. Press the Draft Move.png Draft Move button, or press M then V keys
  3. Click a first point on the 3D view, or type a coordinate
  4. Click another point on the 3D view, or type a coordinate

Limitări

  • Când se deplasează (sau se schimbă amplasarea) un obiect din document (de exemplu: Pad, Revolution, etc) care se bazează pe o schiță (de la Sketcher / Part Design), trebuie să mutați schița originală. Dacă mutați obiectul derivat, acesta va reveni la poziția definită de schiță.

Opţiuni

  • Apăsați X, Y sau Z după un punct pentru a restrânge următorul punct de pe axa dată.
  • Pentru a introduce manual coordonatele, pur și simplu introduceți numerele, apoi apăsați ENTER între fiecare componentă X, Y și Z.
  • Apăsați tasta R sau faceți clic pe caseta de selectare pentru a bifa / debifa butonul 'Relativ' . Dacă modul relativ este activ, coordonatele punctului următor sunt relativ la ultima. Dacă nu, ele sunt absolute, luate din punctul de origine (0,0,0).
  • Apăsați tasta T sau faceți clic pe caseta de selectare pentru a bifa / debifa butonul 'Continue' '. Dacă modul continuat este activat, instrumentul Mutare se va reporni după ce îl terminați sau îl închideți, permițându-vă să mutați sau să copiați obiectele altfel fără să apăsați din nou butonul Mutare.
  • Apăsând butonul ALT sau C sau făcând clic pe butonul Copiere va face o copie a obiectelor, în loc să le mutați. Dacă țineți apăsat ALT după ce faceți clic pe cel de-al doilea punct, veți putea plasa mai multe copii până când eliberați tasta ALT.
  • Apăsați CTRL în timp ce desenați pentru a forța ancorarea snapping punctul dvs. către cea mai apropiată locație, independent de distanță.
  • Apăsați pe SHIFT în timp ce desenați constrain următorul punct pe orizontală sau pe verticală în raport cu ultimul.
  • Apăsați butonul ESC sau butonul Anulare pentru a întrerupe comanda curentă.

Script

Instrumentul de mutare poate fi folosit în macros și din consola python utilizând următoarea funcție:

movedlist = move(objectslist, vector, copy=False)
  • Mută obiectul dat sau obiectele conținute în lista dată în direcția și distanța indicată de vectorul dat.
  • Dacă copymode este True, obiectele reale nu sunt mutate, în schimb sunt create copii. Returnează obiectele (sau copiile lor dacă modelul de copiere a fost Tru)
  • Se întoarce o listă a obiectului mutat (sau a copiilor)

Exempluː

import FreeCAD, Draft

Polygon1 = Draft.makePolygon(5, radius=1000)
Polygon2 = Draft.makePolygon(3, radius=500)
Polygon3 = Draft.makePolygon(6, radius=220)

Draft.move(Polygon1, FreeCAD.Vector(500, 500, 0))
Draft.move(Polygon1, FreeCAD.Vector(500, 500, 0))
Draft.move(Polygon2, FreeCAD.Vector(1000, -1000, 0))
Draft.move(Polygon3, FreeCAD.Vector(-500, -500, 0))

List1 = [Polygon1, Polygon2, Polygon3]

vector = FreeCAD.Vector(-2000, -2000, 0)
List2 = Draft.move(List1, vector, copy=True)
List3 = Draft.move(List1, -2*vector, copy=True)
Arrow-left.svg Previous: Draft Label.svg Label
Next: Rotate Draft Rotate.svg Arrow-right.svg